@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5630-A36 (C) COPYRIGHT International Business Machines Corp., 1997,2007
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@REM retrieveSigners launcher for pluggable application client

@echo off
REM Usage: retrieveSigners arguments
setlocal

CALL "%~dp0setupCmdLine.bat" %* 

if exist "%JAVA_HOME%\bin\java.exe" (
   set JAVA_EXE="%JAVA_HOME%\bin\java"
) else (
   set JAVA_EXE="%JAVA_HOME%\jre\bin\java"
)

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS
@REM SET CONSOLE_ENCODING=-Dws.output.encoding=console

@REM For debugging the utility itself
@REM set WAS_DEBUG=-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=7777

if defined USER_INSTALL_ROOT goto prop
SET USER_INSTALL_ROOT=%WAS_HOME%

:prop

:loop
if '%1'=='-javaoption' goto javaoption
if '%1'=='' goto runcmd
goto nonjavaoption

:javaoption
shift
set javaoption=%javaoption% %1
goto again

:nonjavaoption
set nonjavaoption=%nonjavaoption% %1

:again
shift
goto loop


:runcmd
set CLASSPATH=%WAS_HOME%/plugins/com.ibm.ws.bootstrap.jar;%WAS_HOME%/com.ibm.ffdc.jar;%WAS_HOME%/org.eclipse.emf.common.jar;%WAS_HOME%/org.eclipse.emf.ecore.jar;%WAS_HOME%/com.ibm.ws.emf.jar;%WAS_HOME%/com.ibm.ws.runtime.client.jar;%WAS_CLASSPATH%;%ITP_LOC%\batchboot.jar;%ITP_LOC%\batch2.jar
@echo off

if "%JAASSOAP%"=="" set JAASSOAP=-Djaassoap=off

%JAVA_EXE% %javaoption% -Djava.endorsed.dirs="%WAS_ENDORSED_DIRS%" -classpath "%CLASSPATH%" %WAS_LOGGING% %CONSOLE_ENCODING% "%JAASSOAP%"  "%CLIENTSAS%" "%CLIENTSSL%" -Duser.install.root="%USER_INSTALL_ROOT%" -Dwas.install.root="%WAS_HOME%" -Dcom.ibm.itp.location=%WAS_HOME%\bin -Djava.ext.dirs="%JAVA_JRE%\lib\ext;%WAS_EXT_DIRS%;%WAS_HOME%\plugins;%WAS_HOME%\lib\WMQ\java\lib" com.ibm.ws.ssl.utils.RetrieveSigners %*

endlocal

set MYERRORLEVEL=%ERRORLEVEL%
if defined PROFILE_CONFIG_ACTION exit %MYERRORLEVEL% else exit /b %MYERRORLEVEL%

GOTO :EOF
